import { IconButton, Tooltip } from "@mui/material";
import React from "react";

var ButtonWithTooltip = function ButtonWithTooltip(_ref) {
  var tooltipText = _ref.tooltipText,
      disabled = _ref.disabled,
      onClick = _ref.onClick,
      Icon = _ref.Icon,
      id = _ref.id;
  return React.createElement(Tooltip, {
    PopperProps: {
      container: document.querySelector(".fullscreen")
    },
    title: tooltipText
  }, React.createElement("span", null, React.createElement(IconButton, {
    id: id,
    disabled: disabled,
    onClick: onClick
  }, React.createElement(Icon, null))));
};

export default ButtonWithTooltip;