import _slicedToArray from "@babel/runtime/helpers/esm/slicedToArray";
import { useState } from "react";
import useKey from "use-key-hook";

var useCtrlKey = function useCtrlKey() {
  var _useState = useState(false),
      _useState2 = _slicedToArray(_useState, 2),
      isCtrlDown = _useState2[0],
      setIsCtrlDown = _useState2[1];

  useKey(function (key, event) {
    switch (key) {
      case 17:
        // Ctrl
        setIsCtrlDown(true);
        break;

      default:
        break;
    }
  }, {
    detectKeys: [17],
    keyevent: "keydown"
  });
  useKey(function (key, event) {
    switch (key) {
      case 17:
        // Ctrl
        setIsCtrlDown(false);
        break;

      default:
        break;
    }
  }, {
    detectKeys: [17],
    keyevent: "keyup"
  });
  return {
    isCtrlDown: isCtrlDown
  };
};

export default useCtrlKey;